import { Pipe, PipeTransform } from '@angular/core';
import {FrameVariable} from '../frame/frame-variable';

@Pipe({
  name: 'frameDict'
})
export class FrameDictPipe implements PipeTransform {

  transform(dict_value: any, dict_name?: any): any {
    // console.log(dict_name);
    return FrameVariable.getFrameDictText(dict_name, dict_value);

  }

}
